%define	name	xmms-arts
%define	fname	xmmsarts
%define	version	0.4
%define	release	1
%define	prefix	/usr

Summary:	XMMS - aRts output plugin.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Multimedia
URL:		http://home.earthlink.net/~bheath/xmms-arts/
Vendor:		B. Heath Robinson <bheathr@mail.com>
Source:		%{fname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	xmms >= 1.0.1, gtk+ >= 1.2.7
BuildPrereq:	xmms-devel, gtk+-devel >= 1.2.7
Obsoletes:	xmmsarts

%description
XMMS Output Plugin for the aRts system

%prep
%setup -q
export CFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}

%build
make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib/xmms
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{prefix}/lib/xmms/Output/libartsout.*

%changelog
* Thu May 10 2001 Ryan Weaver <ryanw@falsehope.com>
  [xmmsarts-0.4-1]
- Initial RPM Build.

